Create Custom Field
curl --request POST \
--url https://api.sonderplan.com/v2/custom-field \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Booking Type",
"type": "select",
"module": "booking",
"description": "Select the type of booking",
"options": [
{
"id": "4934",
"name": "Video Editing",
"order": "2"
}
],
"order": 3,
"required": true,
"update_key": "2_1_8942"
}
'import requests
url = "https://api.sonderplan.com/v2/custom-field"
payload = {
"name": "Booking Type",
"type": "select",
"module": "booking",
"description": "Select the type of booking",
"options": [
{
"id": "4934",
"name": "Video Editing",
"order": "2"
}
],
"order": 3,
"required": True,
"update_key": "2_1_8942"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Booking Type',
type: 'select',
module: 'booking',
description: 'Select the type of booking',
options: [{id: '4934', name: 'Video Editing', order: '2'}],
order: 3,
required: true,
update_key: '2_1_8942'
})
};
fetch('https://api.sonderplan.com/v2/custom-field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Custom Field
Create Custom Field
WRITE access to the ADMIN module is required to access this endpointPOST
/
v2
/
custom-field
Create Custom Field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Custom Field object that needs to be added
The default custom field schema
Name of the custom field
Example:
"Booking Type"
The type of the custom field
Available options:
text, textarea, select, number, date, datetime Example:
"select"
The module that this custom field is linked to
Available options:
booking, project, people, organization, quote, invoice, quote_invoice, billable_item Example:
"booking"
Description of the custom field, shown in the UI at the help icon
Example:
"Select the type of booking"
Show child attributes
Show child attributes
Relative order id of this field in relation to other custom fields in the same module
Example:
3
Marks this field as required, enforced by the API and UI
Example:
true
The update key to pass back when updating this field
Example:
"2_1_8942"
Response
Successful Operation
Show child attributes
Show child attributes
⌘I